
QGIS Application - Bug report #6995

db manager's SQL window freezes with long query (due to syntax coloring?)

2013-01-14 08:44 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16099

Description

Discovered this while trying to update a field from a spatialite point dataset. The db manager's SQL window will freeze when modifying

long query, most probably due to syntax coloring.

It might be good to have a check box within the SQL window to disable syntax coloring in such cases, if things can't be improved.

Steps to reproduce:

1/ open db manager's SQL window (connected to a spatialite or postgis database, it doesn't matter)

2/ paste the query below into the query text box (notice the short freeze, which doesn't crash QGIS yet)

3/ try to modify the query by typing a few characters into the query text box

At that stage, QGIS should freeze, and remain frozen until the user kills it.

SQL query (the WKT is a simplified polygon representing Cambodia's territory) :

UPDATE partial_data SET country = 'kh' WHERE within(partial_data.geom, Geofromtext('POLYGON((773766.5

1625242.875,773805.375 1625105.0,774211.375 1624940.0,774465.375 1624743.0,774934.5 1624984.0,775074.8125

1624899.0,775620.3125 1624918.0,775759.375 1624813.0,775446.3125 1624395.0,775335.375 1624100.0,775128.8125

1624077.0,775008.5 1623848.0,775142.6875 1623539.0,775106.1875 1623316.0,775195.1875 1623109.0,775583.125

1622807.0,775584.3125 1621926.0,775298.3125 1621804.0,775009.375 1621912.0,774903.3125 1621841.0,775058.3125

1621092.0,775316.375 1620850.0,775209.3125 1620376.0,775287.8125 1620041.0,775239.8125 1619833.0,775551.375

1619731.0,775947.875 1619111.0,775974.1875 1618629.0,776088.125 1618486.0,775903.875 1618162.0,776161.3125

1617838.0,775673.125 1617586.0,775282.1875 1617229.0,775058.3125 1617300.0,774490.125 1617075.0,774484.6875

1616760.0,774608.3125 1616514.0,774504.875 1616051.0,774319.625 1615870.0,773971.375 1615756.0,773911.8125

1615559.0,773387.1875 1615089.0,773139.125 1615173.0,772877.8125 1614978.0,772459.625 1615066.0,772282.125

1614676.0,772289.875 1614466.0,772150.875 1614381.0,772179.3125 1613954.0,772045.6875 1613830.0,771703.5

1613760.0,771603.1875 1613593.0,772156.125 1613107.0,772382.8125 1612281.0,772270.625 1612160.0,772339.375

1611587.0,772237.3125 1611487.0,772602.875 1611113.0,772514.625 1610852.0,772660.625 1610856.0,773035.125

1610644.0,773249.125 1610352.0,773261.625 1610034.0,773023.875 1609716.0,773292.125 1609298.0,772822.875

1609053.0,772721.125 1608919.0,772821.625 1608700.0,772858.8125 1608286.0,772590.6875 1607971.0,772623.1875

1607684.0,772416.6875 1607632.0,772251.125 1607361.0,772360.5 1606960.0,772165.5 1606171.0,771966.875

1606073.0,771893.6875 1605845.0,771562.8125 1605440.0,771109.875 1605409.0,770987.875 1605248.0,770624.625

1605112.0,771008.375 1604503.0,771200.375 1604441.0,771208.625 1604370.0,771358.3125 1604411.0,771399.875

1603965.0,770969.625 1603755.0,770988.6875 1603007.0,770578.8125 1602531.0,770388.1875 1600888.0,770068.625

1600378.0,770119.375 1599977.0,770451.8125 1599730.0,770545.6875 1599525.0,770211.625 1598949.0,770186.8125

1598522.0,769740.375 1597427.0,769724.125 1597113.0,769547.625 1596903.0,769430.3125 1596968.0,769217.6875

1596911.0,768845.3125 1596283.0,768971.6875 1595337.0,768811.875 1594990.0,768946.625 1594643.0,768797.875

1593890.0,768546.8125 1593649.0,767983.875 1593462.0,767511.625 1593683.0,767245.125 1594014.0,767089.125

1593998.0,766674.125 1593654.0,766494.5 1593593.0,766323.375 1593571.0,765731.3125 1593723.0,765598.5

1593787.0,765498.125 1594461.0,765186.375 1594629.0,764925.875 1594649.0,764734.625 1595058.0,764556.375
1595098.0,764437.125 1594873.0,764416.5 1594341.0,764204.375 1593350.0,763590.625 1592635.0,763615.375

1592574.0,763906.8125 1592634.0,763962.0 1592577.0,763669.875 1592253.0,763722.375 1591770.0,763533.375

1591429.0,763561.8125 1591059.0,763459.3125 1590922.0,763098.0 1590980.0,762931.0 1590930.0,762316.875

1590450.0,761666.625 1589821.0,761235.875 1589188.0,760892.875 1588872.0,760580.3125 1588784.0,760300.125

1588978.0,760179.8125 1588947.0,760395.875 1588476.0,760422.125 1588196.0,760230.375 1587639.0,760173.3125

1587088.0,759541.125 1586637.0,759209.375 1585565.0,758804.875 1585193.0,758443.875 1585007.0,758306.375

1584821.0,758305.375 1584682.0,758398.125 1584243.0,758314.875 1583966.0,758354.125 1583658.0,758540.5

1583448.0,759000.1875 1583221.0,759028.625 1582742.0,759281.375 1582613.0,759463.125 1582273.0,759873.875

1582095.0,760051.6875 1581760.0,760057.625 1580918.0,759967.625 1580788.0,759956.375 1580441.0,760160.625

1580235.0,760190.0 1579778.0,760361.5 1579549.0,760412.1875 1579221.0,760286.875 1578973.0,760412.625

1578638.0,760339.1875 1578394.0,760413.3125 1578025.0,760300.125 1577602.0,759962.375 1577382.0,759664.5

1577006.0,759407.8125 1576297.0,759523.375 1575949.0,759918.375 1575534.0,760263.625 1574792.0,760143.875

1574570.0,759934.375 1574549.0,759768.8125 1574226.0,759344.875 1573913.0,759258.375 1573683.0,759129.6875

1573587.0,759053.8125 1573430.0,759041.375 1572706.0,758790.5 1572276.0,758847.625 1572059.0,758794.1875

1571941.0,758460.125 1572025.0,758376.625 1571976.0,758138.625 1571536.0,757983.3125 1570856.0,757612.6875

1570315.0,757484.3125 1569959.0,757508.875 1569464.0,757280.6875 1569280.0,757314.875 1569062.0,757019.1875

1568540.0,756852.3125 1568448.0,756213.3125 1568613.0,756057.125 1568588.0,755506.875 1567849.0,755142.375

1567575.0,755008.375 1567380.0,755486.375 1566710.0,755048.125 1566088.0,754914.375 1565978.0,754638.375

1565981.0,754498.375 1565878.0,754401.875 1565628.0,754511.6875 1565247.0,754352.625 1565136.0,754243.125

1564805.0,753784.125 1564334.0,753626.875 1563815.0,753242.375 1563510.0,753136.3125 1563328.0,752894.125

1562801.0,752842.125 1562552.0,752906.1875 1562279.0,752554.875 1561372.0,752673.375 1561117.0,752487.3125

1560702.0,752514.125 1560576.0,752789.375 1560406.0,753306.6875 1560550.0,753552.625 1560503.0,753788.6875

1560203.0,753895.875 1559825.0,753951.125 1559773.0,754084.875 1559869.0,754233.8125 1559859.0,754372.375

1559514.0,754689.625 1559469.0,754967.3125 1559308.0,755308.1875 1558726.0,755806.3125 1558307.0,756024.125

1557921.0,756512.8125 1558014.0,756710.6875 1557939.0,756385.1875 1557468.0,756350.875 1557231.0,756511.5

1556737.0,756504.625 1556443.0,755779.875 1555602.0,755929.125 1554875.0,755694.0 1554278.0,755914.3125

1552518.0,755769.1875 1552178.0,755149.0 1551904.0,755031.125 1551757.0,755099.625 1550497.0,755931.5

1550135.0,756774.125 1549144.0,756907.5 1548854.0,758195.375 1547552.0,758362.875 1547679.0,758947.375

1547701.0,759217.875 1547945.0,759355.875 1547970.0,759790.3125 1547626.0,760115.5 1547565.0,760317.625

1547654.0,760444.6875 1547626.0,760918.0 1548023.0,761533.375 1548133.0,762099.125 1548133.0,762429.8125

1548446.0,762712.8125 1548568.0,762781.375 1548556.0,762769.125 1548383.0,762950.375 1548251.0,763037.125

1548057.0,763411.3125 1548194.0,763640.5 1548371.0,764265.875 1548497.0,764414.8125 1548445.0,764469.375

1548298.0,764606.125 1547479.0,764942.3125 1547196.0,765353.125 1546643.0,765680.8125 1546592.0,765633.375

1545103.0,765743.8125 1544535.0,765538.1875 1543005.0,765505.3125 1541032.0,765937.5 1540639.0,766005.875

1540222.0,766098.375 1540092.0,767272.875 1540087.0,767532.8125 1539967.0,767655.625 1539705.0,767420.8125

1538736.0,767496.875 1538323.0,767397.1875 1537704.0,767442.375 1537049.0,767388.5 1536702.0,767246.0

1536466.0,765993.375 1535293.0,765662.375 1534715.0,765643.125 1534479.0,765766.875 1534239.0,766119.875

1533913.0,766574.875 1533678.0,767072.125 1533248.0,767576.375 1533029.0,767735.8125 1532797.0,767751.875

1532551.0,767009.5 1531055.0,766784.125 1530732.0,766335.625 1530400.0,765861.8125 1529779.0,765893.875

1529314.0,766482.0 1528654.0,766546.1875 1528431.0,766308.1875 1527393.0,765749.1875 1526657.0,765451.625

1526039.0,765574.8125 1525887.0,766218.875 1525483.0,766398.375 1525127.0,766809.875 1524782.0,767424.6875

1524401.0,768389.625 1524015.0,769350.3125 1523948.0,770026.3125 1523674.0,774622.5 1520296.0,776437.375

1515137.0,778497.375 1511572.0,778626.3125 1507989.0,778781.1875 1507339.0,783693.875 1496428.0,783999.6875

1493850.0,784445.875 1488010.0,785034.0 1478852.0,783100.3125 1473342.0,776618.125 1457028.0,771118.375

1441214.0,770960.8125 1441046.0,770920.8125 1440766.0,770991.875 1440630.0,770851.625 1440611.0,770819.625

1440449.0,770708.625 1440470.0,770647.125 1440399.0,770637.8125 1439978.0,770810.3125 1439414.0,770623.6875

1438718.0,770620.3125 1438354.0,770710.625 1438221.0,771252.3125 1438086.0,771413.5 1437969.0,771392.3125

1437398.0,771207.375 1436869.0,771260.0 1436499.0,771609.875 1435883.0,771964.875 1435684.0,772089.6875

1435472.0,771822.125 1435217.0,771159.625 1435255.0,770353.0 1434927.0,770251.5 1434693.0,770595.5

1434319.0,770580.875 1434218.0,770240.0 1433857.0,770181.8125 1433398.0,770288.375 1433199.0,770091.375

1433004.0,770355.8125 1432558.0,770006.125 1432401.0,770107.875 1432149.0,770003.375 1431997.0,770055.125

1431854.0,770143.3125 1431755.0,770356.8125 1431748.0,770990.5 1431171.0,770895.625 1430477.0,771078.8125

1430433.0,771202.875 1430491.0,771233.875 1430407.0,770898.0 1430067.0,770937.0 1429710.0,771236.0
1429643.0,771187.875 1429397.0,771408.875 1429140.0,771936.125 1428917.0,771621.875 1428355.0,771254.375

1428338.0,771144.3125 1427979.0,771365.625 1427700.0,771366.375 1427584.0,771269.0 1427318.0,770923.8125

1427033.0,770821.125 1426790.0,770918.625 1426420.0,771290.8125 1426376.0,771352.1875 1426290.0,771598.6875

1424659.0,772288.5 1423902.0,772553.8125 1423800.0,772861.625 1423811.0,772974.125 1423718.0,773178.3125

1423132.0,772991.375 1422642.0,772979.375 1422397.0,773972.3125 1422112.0,774167.625 1421943.0,774256.6875

1421664.0,774516.625 1421375.0,774657.375 1420506.0,775341.625 1420397.0,776200.875 1419898.0,776369.875

1419707.0,776343.5 1419276.0,776729.625 1418701.0,776735.875 1418496.0,777311.875 1418663.0,777309.8125

1418225.0,777706.8125 1417955.0,777476.875 1417449.0,777550.6875 1417174.0,777498.875 1416739.0,777736.375

1416494.0,778032.375 1416589.0,778210.1875 1416062.0,778228.375 1415762.0,778511.875 1415302.0,778638.5

1414785.0,778611.875 1414641.0,778331.8125 1414581.0,778257.375 1414063.0,778273.125 1413762.0,778441.8125

1413586.0,778605.3125 1413212.0,778347.3125 1412779.0,778337.5 1412139.0,778244.0 1411825.0,778374.875

1410941.0,778366.0 1410242.0,778474.3125 1410176.0,778875.0 1410223.0,778730.375 1409267.0,778836.8125

1408956.0,779214.875 1408602.0,779213.625 1408052.0,778805.875 1407479.0,778564.8125 1406967.0,778358.875

1406908.0,778322.3125 1406789.0,778423.0 1405890.0,778667.875 1405800.0,778756.1875 1405501.0,779203.6875

1405390.0,779408.5 1405051.0,779563.8125 1404268.0,779677.625 1404188.0,779932.6875 1404205.0,780079.3125

1403745.0,780486.125 1403302.0,780409.375 1402989.0,780650.8125 1403053.0,780861.875 1402774.0,780753.3125

1402689.0,780557.3125 1402697.0,780450.5 1402531.0,780283.375 1402500.0,780236.8125 1401767.0,779931.6875

1401655.0,779876.5 1401455.0,779637.3125 1401466.0,779726.375 1400799.0,779493.8125 1400186.0,779631.875

1399875.0,780005.0 1399575.0,779906.1875 1399395.0,779472.125 1399253.0,779567.1875 1399045.0,779508.6875

1398657.0,779807.375 1398382.0,779741.375 1397827.0,780022.6875 1397425.0,779816.1875 1397174.0,779828.375

1397088.0,779987.625 1396797.0,780558.1875 1396530.0,780454.375 1396182.0,780501.125 1396138.0,780574.5

1396207.0,780818.875 1396082.0,780994.625 1395688.0,780948.875 1395516.0,781116.6875 1395518.0,781221.6875

1395431.0,780803.875 1395081.0,780985.125 1394940.0,780983.875 1394658.0,781316.625 1394344.0,781333.375

1394278.0,781197.8125 1394204.0,781212.3125 1393909.0,781376.375 1393738.0,781262.8125 1393536.0,781074.3125

1393443.0,780900.875 1393018.0,780975.375 1392819.0,780940.0 1392592.0,781033.625 1392445.0,780770.875

1392315.0,780673.375 1391859.0,780804.1875 1391645.0,780737.3125 1391238.0,780991.625 1390847.0,781076.8125

1390570.0,781037.3125 1390411.0,781104.6875 1390298.0,781303.3125 1390287.0,781317.3125 1389957.0,781542.125

1389853.0,781807.0 1389391.0,781658.875 1389034.0,781474.8125 1388967.0,781415.8125 1388824.0,781096.5

1388612.0,780843.125 1388132.0,780569.5 1387980.0,780598.3125 1387666.0,780364.375 1387552.0,780326.875

1387307.0,780531.125 1386944.0,780504.8125 1386758.0,779937.875 1386206.0,779532.8125 1386128.0,779412.125

1385907.0,779188.6875 1385890.0,779060.5 1385495.0,778914.375 1385326.0,778904.5 1384707.0,779226.5

1384580.0,779400.875 1384352.0,779640.0 1384235.0,779679.0 1384087.0,779542.125 1383962.0,779456.3125

1383657.0,779722.0 1383710.0,779674.375 1383294.0,780097.3125 1382802.0,780276.1875 1382804.0,780632.875

1382607.0,780816.1875 1382369.0,780655.6875 1381938.0,780724.625 1381717.0,780478.5 1381353.0,780548.6875

1380955.0,780403.5 1380514.0,780124.375 1380333.0,779751.875 1380238.0,779494.8125 1380001.0,779270.625

1379598.0,779484.625 1379157.0,779510.3125 1378939.0,779654.0 1378898.0,779420.625 1378719.0,779215.875

1378068.0,779533.8125 1377813.0,779342.5 1377600.0,779232.5 1377200.0,778997.1875 1377105.0,778793.125

1376734.0,778808.3125 1376390.0,778659.125 1376316.0,778360.125 1375730.0,778163.5 1375547.0,778157.625

1374962.0,777936.125 1374371.0,777813.375 1374319.0,777842.375 1374178.0,777672.8125 1374121.0,777748.375

1374020.0,777683.3125 1373891.0,777601.875 1373911.0,777481.3125 1373757.0,777386.625 1373861.0,777199.0

1373661.0,777055.8125 1373630.0,776987.0 1373495.0,777020.125 1373318.0,776942.375 1373170.0,777006.5

1372919.0,777110.0 1372820.0,777069.875 1372413.0,777215.6875 1372258.0,777135.375 1372130.0,777158.3125

1371953.0,776953.0 1371744.0,777137.5 1371504.0,777240.125 1371018.0,777497.3125 1370731.0,777452.8125

1370561.0,777583.375 1370237.0,777773.0 1370165.0,778170.0 1369501.0,777941.875 1369119.0,777268.625

1368862.0,777113.125 1368623.0,777368.8125 1368189.0,777352.875 1367596.0,777451.6875 1367447.0,777065.125

1366344.0,776794.1875 1366261.0,776487.0 1366448.0,776301.6875 1366447.0,776135.0 1366169.0,776137.3125

1365859.0,775935.3125 1365716.0,775625.875 1365675.0,775331.375 1365856.0,775379.375 1365550.0,775201.1875

1365103.0,774642.625 1365136.0,774478.875 1364953.0,774032.5 1364747.0,773783.6875 1364420.0,773745.5

1364093.0,773525.125 1363862.0,772917.0 1363717.0,772612.5 1363368.0,771991.875 1363207.0,771876.6875

1363108.0,771714.125 1363129.0,771233.3125 1362889.0,770409.875 1362643.0,769757.3125 1362206.0,769039.375

1361935.0,768769.875 1361623.0,768712.3125 1360815.0,768352.3125 1360421.0,767667.875 1359978.0,767026.375

1359823.0,766473.3125 1359575.0,766246.0 1359223.0,766207.375 1358659.0,766282.0 1358315.0,765766.875

1357822.0,765657.875 1357445.0,765768.8125 1357151.0,766091.8125 1356838.0,766076.375 1356726.0,765662.125
1356068.0,765484.1875 1355970.0,765481.875 1355571.0,765220.3125 1354638.0,764975.3125 1354617.0,764468.875

1354743.0,763880.8125 1354721.0,763528.875 1354335.0,763403.3125 1353949.0,763199.3125 1354646.0,762571.125

1355137.0,761913.875 1355382.0,761357.0 1355748.0,761274.3125 1355890.0,761390.6875 1356168.0,761361.6875

1356272.0,761129.3125 1356546.0,760087.0 1357349.0,760048.875 1357470.0,760168.8125 1357899.0,759996.625

1358237.0,760268.8125 1358910.0,759709.625 1359244.0,759499.625 1359798.0,759642.125 1360004.0,759594.625

1360060.0,759132.625 1360078.0,759023.8125 1360175.0,759115.125 1360674.0,758753.375 1361172.0,757782.3125

1361965.0,757580.3125 1362480.0,757390.375 1362681.0,756972.5 1362856.0,756581.3125 1362899.0,756352.125

1363233.0,755940.875 1363485.0,755596.625 1364274.0,755396.3125 1364377.0,755001.1875 1363700.0,754660.125

1363439.0,754299.3125 1363486.0,754187.5 1363378.0,753971.3125 1363434.0,753463.0 1363383.0,752997.125

1363175.0,752849.3125 1362987.0,752440.8125 1362865.0,752228.875 1362991.0,751932.375 1362953.0,751889.375

1363800.0,751729.375 1364053.0,751550.8125 1364157.0,750847.125 1363624.0,750713.0 1363583.0,750432.375

1363727.0,749668.875 1363584.0,749178.125 1363323.0,749008.625 1363032.0,748522.8125 1362895.0,748399.375

1362925.0,748323.125 1363076.0,748082.5 1363030.0,747763.3125 1363230.0,747633.375 1363151.0,747369.375

1363277.0,747136.625 1363218.0,746968.3125 1362814.0,746827.8125 1362779.0,746681.8125 1362303.0,746515.125

1362228.0,746442.3125 1362035.0,746260.6875 1362169.0,746166.875 1362161.0,746110.3125 1361989.0,745847.8125

1362102.0,745720.875 1361856.0,745550.8125 1361874.0,745425.6875 1361702.0,745149.3125 1361683.0,745128.375

1361376.0,744901.8125 1361330.0,744796.625 1361192.0,744392.5 1361175.0,744325.5 1360808.0,744066.3125

1360839.0,744137.625 1360639.0,743728.625 1360565.0,743559.875 1360260.0,743029.125 1359956.0,742819.625

1359964.0,742592.125 1360136.0,742456.3125 1359936.0,742315.3125 1359892.0,742091.5 1360180.0,742100.625

1359875.0,742028.3125 1359887.0,741823.625 1360010.0,741935.1875 1360273.0,741897.125 1360350.0,741702.6875

1360339.0,741415.8125 1360165.0,741311.5 1360254.0,740949.375 1360292.0,740756.5 1360102.0,740655.875

1360373.0,740504.8125 1360335.0,740428.6875 1360212.0,740432.6875 1359976.0,740334.875 1359949.0,740087.0

1360171.0,739933.3125 1360194.0,739483.875 1359889.0,738691.3125 1359830.0,738618.875 1359734.0,738762.625

1359469.0,738738.625 1359384.0,738560.6875 1359465.0,738403.375 1359214.0,738147.875 1359321.0,738073.125

1359274.0,738130.375 1358946.0,737855.125 1358514.0,737550.0 1358802.0,737434.5 1358702.0,737388.875

1358500.0,737099.3125 1358483.0,737114.6875 1358316.0,736985.1875 1358206.0,736441.625 1358129.0,736186.375

1357937.0,735758.3125 1357924.0,735278.125 1358026.0,734879.3125 1357896.0,734789.3125 1357628.0,734514.875

1357703.0,734429.875 1357539.0,734463.0 1357394.0,734673.875 1357342.0,734490.0 1356977.0,734566.5

1356624.0,734505.625 1356570.0,734274.3125 1356665.0,734005.1875 1356382.0,733807.0 1356387.0,733770.3125

1356300.0,734144.125 1355804.0,733948.5 1355704.0,733648.6875 1355762.0,733648.875 1355552.0,733885.3125

1355304.0,733687.375 1354967.0,733802.375 1354830.0,733239.3125 1354831.0,733117.375 1354632.0,733359.8125

1354479.0,733397.625 1354327.0,732991.0 1354216.0,732840.875 1354043.0,732899.6875 1353926.0,733109.3125

1353940.0,732974.125 1353599.0,732770.8125 1353594.0,732723.625 1353518.0,732927.6875 1353284.0,733072.125

1353409.0,733162.6875 1353389.0,733137.375 1353107.0,733215.625 1352966.0,733058.375 1352746.0,733075.875

1352592.0,732849.3125 1352523.0,732715.1875 1352383.0,732536.0 1352468.0,732427.6875 1352397.0,732098.375

1351939.0,731972.3125 1352141.0,731740.8125 1352243.0,731466.1875 1351971.0,731494.5 1351761.0,731408.125

1351667.0,731094.8125 1351887.0,731149.875 1351398.0,731055.3125 1351348.0,730782.375 1351404.0,730507.6875

1351050.0,730223.3125 1351212.0,730402.3125 1351405.0,730301.1875 1351454.0,730102.375 1351397.0,729992.6875

1351061.0,730041.375 1350845.0,729772.125 1350740.0,729619.0 1350322.0,729513.5 1350229.0,729119.3125

1350145.0,728950.3125 1349957.0,729115.125 1349444.0,728564.1875 1349017.0,728599.1875 1348693.0,728717.375

1348599.0,728688.6875 1348291.0,728666.875 1348208.0,728367.6875 1348245.0,728463.8125 1347828.0,728297.3125

1347641.0,728126.125 1347150.0,727893.8125 1347124.0,727668.375 1347242.0,727377.1875 1347161.0,727356.875

1347250.0,727555.0 1347538.0,727574.875 1347661.0,727495.625 1347693.0,727105.1875 1347705.0,726787.875

1347486.0,726747.6875 1347633.0,726266.875 1347925.0,726030.8125 1347811.0,726147.625 1347638.0,726141.375

1347437.0,725861.0 1347126.0,726047.6875 1346958.0,725612.125 1346743.0,725761.1875 1346536.0,726159.5

1346413.0,726332.8125 1346019.0,726488.125 1346004.0,726747.375 1345820.0,726690.6875 1345514.0,726522.3125

1345377.0,726638.875 1345123.0,726504.125 1345032.0,726215.125 1345245.0,726098.375 1345228.0,725597.1875

1344702.0,725320.8125 1344924.0,725019.375 1344562.0,724887.6875 1344530.0,724807.0 1344572.0,724804.5

1344844.0,724714.375 1344920.0,724445.375 1344886.0,724483.8125 1344505.0,724415.875 1344445.0,724175.375

1344465.0,724195.8125 1344375.0,724494.5 1344190.0,724089.5 1343875.0,724050.125 1343422.0,723851.1875

1343555.0,723744.8125 1343527.0,723937.375 1343204.0,724027.8125 1342830.0,723509.125 1342833.0,723266.125

1342291.0,723474.1875 1341955.0,723080.625 1341923.0,722936.3125 1341599.0,722620.8125 1341708.0,722386.3125

1341569.0,722111.0 1341524.0,721881.0 1341153.0,721728.375 1341062.0,721259.3125 1339695.0,719804.375
1338812.0,718470.625 1336909.0,714118.125 1335515.0,713699.375 1335477.0,712821.3125 1335228.0,712508.8125

1335018.0,712116.625 1334432.0,711517.875 1334584.0,710708.8125 1334300.0,710167.375 1333971.0,709693.5

1334076.0,709013.1875 1333811.0,708846.1875 1333888.0,708753.125 1334117.0,708457.1875 1334361.0,708386.8125

1334319.0,707905.875 1334477.0,707209.3125 1334194.0,706861.3125 1334263.0,706681.625 1334435.0,706532.1875

1334434.0,706459.875 1334625.0,706168.8125 1334708.0,705763.1875 1334998.0,705566.375 1335033.0,705426.6875

1334876.0,705262.875 1334998.0,705125.375 1334958.0,705032.3125 1335093.0,704864.3125 1335068.0,704688.125

1334891.0,704448.1875 1335019.0,704352.625 1334968.0,704284.625 1335033.0,703907.3125 1335030.0,703836.875

1334890.0,703551.625 1334824.0,703431.625 1334705.0,703104.125 1334668.0,703022.3125 1334725.0,702959.875

1334567.0,702702.6875 1334480.0,702678.3125 1334598.0,702612.5 1334588.0,702441.0 1334443.0,702394.125

1334258.0,702304.3125 1334253.0,702136.125 1334419.0,702030.8125 1334344.0,702004.625 1334492.0,701867.3125

1334532.0,701880.1875 1334699.0,701752.375 1334776.0,701542.375 1334760.0,701415.375 1335065.0,701319.8125

1335106.0,701173.0 1335005.0,701010.875 1335095.0,700597.875 1335014.0,700508.875 1334945.0,700584.5

1334877.0,700515.5 1334829.0,700384.375 1334970.0,700062.8125 1334873.0,699934.625 1334983.0,699851.3125

1335328.0,699587.8125 1335520.0,699410.6875 1335867.0,698916.3125 1336078.0,698554.8125 1336123.0,698299.0

1336021.0,698006.625 1336105.0,697865.125 1335706.0,697594.625 1335673.0,696871.125 1335686.0,696284.875

1336037.0,696249.0 1336163.0,695997.3125 1335956.0,695933.8125 1336056.0,695707.3125 1335951.0,695565.375

1336046.0,695434.3125 1335906.0,695481.5 1335609.0,695335.125 1335477.0,695276.8125 1335210.0,694847.0

1335328.0,694699.875 1334882.0,694340.875 1334923.0,694353.8125 1334629.0,694248.375 1334560.0,694405.875

1334156.0,694076.0 1333831.0,693980.6875 1333582.0,693745.375 1333468.0,693407.5 1332894.0,693202.875

1332854.0,693190.1875 1332581.0,693005.375 1332478.0,692895.375 1332280.0,692979.3125 1332165.0,692872.125

1331954.0,693052.125 1331758.0,692783.3125 1331782.0,692799.8125 1331502.0,692573.3125 1331579.0,692556.3125

1331428.0,692476.3125 1331537.0,692414.5 1331427.0,692155.6875 1331363.0,692216.8125 1331248.0,692128.3125

1331152.0,692216.375 1331092.0,692123.125 1330970.0,691969.875 1331062.0,692059.8125 1330790.0,692214.6875

1330668.0,692124.5 1330596.0,691838.875 1330642.0,691690.3125 1330489.0,691810.625 1330395.0,691840.875

1330491.0,691906.3125 1330436.0,691817.375 1330269.0,691976.875 1330274.0,691951.3125 1330018.0,691605.0

1330061.0,691463.875 1329909.0,691546.875 1329587.0,691267.625 1329451.0,691194.125 1329267.0,690816.0

1329134.0,690544.875 1329225.0,690708.1875 1328136.0,690602.3125 1327732.0,690467.375 1327684.0,690479.875

1327432.0,690298.3125 1327423.0,690482.3125 1327047.0,690442.8125 1326947.0,690206.375 1326840.0,690256.0

1327049.0,690155.875 1327113.0,689946.875 1326954.0,689777.625 1326766.0,689830.0 1326528.0,689776.875

1326289.0,689372.5 1325982.0,689256.625 1325475.0,688345.3125 1324716.0,688344.625 1324555.0,688146.3125

1324129.0,688051.375 1324196.0,687788.625 1324173.0,687945.0 1323846.0,687825.3125 1323331.0,687652.8125

1323413.0,687711.5 1323602.0,687646.875 1323789.0,687477.375 1323833.0,687253.875 1323698.0,687120.1875

1323722.0,687004.0 1323447.0,686677.6875 1323305.0,686189.125 1323239.0,685968.3125 1323099.0,685846.875

1323147.0,685929.5 1323261.0,685867.625 1323334.0,685626.8125 1323375.0,685328.875 1323311.0,685220.5

1323231.0,685102.375 1322895.0,684708.6875 1322761.0,684660.8125 1322839.0,684538.125 1322784.0,684411.625

1322840.0,684335.5 1322932.0,684157.3125 1322843.0,684147.375 1322923.0,683990.375 1322984.0,683781.6875

1322893.0,683673.0 1322943.0,683481.875 1323301.0,683359.375 1323341.0,683131.875 1323762.0,683023.6875

1323774.0,682995.3125 1324234.0,682863.8125 1324388.0,682355.625 1324254.0,681962.0 1324533.0,681820.5

1324992.0,681464.8125 1324976.0,681266.125 1325323.0,680895.125 1325303.0,680873.6875 1325501.0,680636.875

1325633.0,680568.625 1325398.0,680504.0 1325376.0,680450.3125 1325509.0,680386.0 1325460.0,680403.3125

1324973.0,680248.0 1324779.0,680022.1875 1324738.0,680016.625 1324566.0,680201.125 1324127.0,680347.625

1323997.0,680304.125 1323916.0,680617.375 1323861.0,680600.875 1323752.0,680478.625 1323673.0,680571.375

1323563.0,681014.6875 1323382.0,681131.5 1323182.0,681138.3125 1322933.0,680917.125 1322824.0,680740.375

1323043.0,680753.375 1322805.0,680606.6875 1322740.0,680473.875 1322996.0,680368.625 1322983.0,680233.625

1322790.0,680088.0 1323062.0,679870.1875 1322776.0,679762.0 1322999.0,679621.6875 1322937.0,679548.8125

1323076.0,679404.5 1323133.0,679481.3125 1323298.0,679168.3125 1323431.0,679186.6875 1323591.0,679364.125

1323856.0,679364.625 1324023.0,678879.6875 1323859.0,678686.375 1323433.0,678787.1875 1323302.0,678527.125

1323365.0,678454.5 1322951.0,678598.125 1322745.0,678455.875 1322616.0,678537.875 1322461.0,678041.3125

1322526.0,677933.125 1322647.0,677861.5 1323003.0,678062.375 1323319.0,677964.375 1323543.0,678005.8125

1323697.0,677774.0 1323623.0,677623.875 1323731.0,677527.125 1323966.0,677298.6875 1323825.0,676633.375

1323862.0,667142.375 1323211.0,666940.625 1323295.0,666913.875 1323399.0,667003.375 1323572.0,667127.625

1323607.0,667204.8125 1323848.0,667687.375 1323881.0,667732.125 1323975.0,667364.8125 1324281.0,666792.625

1324193.0,666541.3125 1324260.0,666195.3125 1324491.0,665886.875 1324559.0,665097.625 1324439.0,664830.125
1324481.0,664716.375 1324208.0,664547.875 1324061.0,664339.8125 1324025.0,664257.375 1323894.0,663807.1875

1323811.0,663702.8125 1323613.0,663308.625 1323260.0,663067.8125 1323205.0,662731.8125 1323263.0,662080.8125

1323569.0,660685.3125 1323620.0,660392.3125 1323695.0,660223.8125 1323898.0,660213.6875 1324148.0,659906.6875

1324740.0,659774.1875 1324779.0,659600.6875 1324980.0,659435.5 1324978.0,659343.125 1325071.0,659165.5

1325048.0,658939.875 1325372.0,658830.3125 1325411.0,658381.375 1325194.0,658180.125 1325256.0,658092.8125

1325090.0,657873.8125 1325004.0,657616.5 1325196.0,657328.8125 1325128.0,657212.125 1324851.0,656923.6875

1324721.0,656978.125 1324622.0,656834.3125 1324517.0,656842.8125 1324432.0,656476.8125 1324304.0,656497.1875

1324172.0,656361.375 1324155.0,656583.125 1323712.0,656566.0 1323638.0,656419.875 1323640.0,656399.1875

1323550.0,656191.125 1323523.0,656149.5 1323618.0,656013.875 1323577.0,655872.1875 1323652.0,655762.6875

1323547.0,655705.625 1323664.0,655246.125 1323492.0,655005.8125 1323511.0,654726.8125 1323720.0,654420.625

1323715.0,654274.0 1323635.0,654139.5 1323751.0,660005.0 1312528.0,660174.125 1312002.0,660075.0

1312002.0,660013.8125 1311895.0,659792.3125 1311943.0,659593.8125 1311721.0,659112.125 1311609.0,658890.1875

1311817.0,658877.125 1311729.0,658737.625 1311824.0,658547.875 1311735.0,658395.375 1311865.0,658361.375

1311715.0,658233.8125 1311892.0,657998.0 1311841.0,657912.375 1311506.0,658038.375 1311359.0,657915.8125

1311426.0,657883.3125 1311114.0,657814.125 1311175.0,657747.125 1311004.0,657658.875 1311062.0,657410.375

1311011.0,657407.6875 1310896.0,657259.875 1310815.0,657245.5 1310471.0,657145.1875 1310462.0,657115.625

1310242.0,657233.3125 1310159.0,657205.625 1310007.0,657419.875 1310050.0,657342.875 1310003.0,657393.8125

1309864.0,657248.625 1309776.0,657371.6875 1309535.0,657294.625 1309360.0,657499.375 1309332.0,657054.625

1308967.0,657411.5 1308466.0,657444.8125 1308178.0,657740.375 1308229.0,657718.8125 1308099.0,657949.0

1307815.0,657943.1875 1307633.0,658129.875 1307510.0,658051.3125 1307372.0,658134.125 1307218.0,658111.8125

1307038.0,657964.125 1307062.0,657994.8125 1306915.0,657767.0 1306824.0,657757.5 1306632.0,657694.1875

1306611.0,657593.6875 1306750.0,657491.625 1306543.0,657370.125 1306495.0,657494.6875 1306228.0,657328.625

1306193.0,657221.375 1305978.0,657055.8125 1305906.0,656978.3125 1305642.0,656899.5 1305647.0,656916.6875

1305451.0,656650.375 1305390.0,656723.5 1305200.0,656630.125 1305142.0,656565.125 1304898.0,656684.875

1304731.0,656598.375 1304624.0,656659.625 1304467.0,656394.8125 1304393.0,656400.125 1304241.0,656244.875

1304130.0,656210.1875 1303920.0,655940.375 1303711.0,655961.125 1303538.0,655803.6875 1303401.0,655844.0

1303180.0,655567.625 1302864.0,655477.8125 1302567.0,655240.375 1302554.0,655181.5 1302341.0,655075.625

1302261.0,655092.8125 1302058.0,654918.625 1301688.0,654726.625 1301580.0,654799.375 1301286.0,655017.5

1301201.0,654712.3125 1300849.0,654547.125 1300842.0,654523.8125 1300761.0,654623.125 1300613.0,654846.8125

1300601.0,654855.6875 1300345.0,654703.875 1300024.0,654861.6875 1299998.0,654848.875 1299879.0,654917.875

1299839.0,655100.375 1299891.0,655138.3125 1299778.0,655146.875 1299555.0,654989.125 1299451.0,655156.375

1299205.0,655460.375 1298367.0,655434.0 1297707.0,655658.875 1297538.0,655713.3125 1297336.0,655998.875

1296988.0,655991.8125 1296442.0,656151.875 1296385.0,656135.125 1296228.0,656423.625 1296096.0,656457.375

1295723.0,656610.0 1295724.0,656688.625 1295561.0,656822.125 1295575.0,656750.125 1294965.0,657090.8125

1294881.0,657264.5 1294567.0,657166.0 1294166.0,657210.1875 1293966.0,657516.625 1293888.0,657663.625

1293565.0,657886.1875 1293593.0,657923.875 1293292.0,658338.3125 1293134.0,658426.875 1292830.0,658621.3125

1292727.0,658844.625 1292407.0,658859.1875 1291915.0,658791.625 1291772.0,658858.5 1291472.0,658695.125

1291012.0,658813.125 1290854.0,658784.625 1290466.0,658555.3125 1290214.0,657787.125 1290159.0,657413.125

1290048.0,656754.375 1290141.0,656054.1875 1290451.0,656007.3125 1290531.0,656071.1875 1290789.0,655879.375

1290979.0,655379.6875 1290961.0,655128.0 1291054.0,654727.3125 1290976.0,654068.3125 1291650.0,653533.375

1291988.0,652970.8125 1292482.0,652066.8125 1292633.0,651383.3125 1293066.0,650599.8125 1292991.0,649699.5

1293077.0,649410.8125 1293017.0,648289.6875 1292546.0,647513.0 1291893.0,646917.625 1291720.0,646400.6875

1291346.0,645937.8125 1291356.0,645842.625 1291443.0,645709.6875 1291895.0,645361.375 1291971.0,645094.875

1291474.0,644400.125 1291154.0,643998.8125 1290697.0,643491.125 1290532.0,642436.8125 1290492.0,641967.375

1290398.0,641803.625 1290507.0,641768.3125 1290752.0,641871.625 1290927.0,641838.6875 1291075.0,641989.125

1291307.0,641663.875 1291526.0,641044.3125 1292231.0,639936.875 1293254.0,638848.125 1294000.0,638884.3125

1294366.0,639163.375 1294780.0,638784.6875 1294967.0,638675.8125 1295284.0,638492.875 1295438.0,638432.125

1295635.0,637764.8125 1295851.0,637486.625 1296065.0,637013.8125 1296210.0,636607.1875 1296487.0,635749.125

1296300.0,635502.625 1296468.0,634795.3125 1296714.0,634122.375 1296848.0,633278.625 1296495.0,632546.125

1296532.0,632010.125 1296818.0,631289.8125 1297457.0,630650.875 1297869.0,630526.8125 1298824.0,630188.875

1299283.0,629519.3125 1299169.0,629289.1875 1298732.0,629072.3125 1298589.0,628092.3125 1298631.0,627518.625

1298510.0,627233.1875 1298334.0,626979.625 1297955.0,626599.1875 1297610.0,625997.6875 1297386.0,625714.5

1297460.0,625319.375 1297746.0,623569.625 1298347.0,622618.875 1298244.0,622252.3125 1298019.0,621945.125
1298036.0,621059.875 1298406.0,620609.125 1298681.0,620393.625 1299348.0,619564.1875 1299628.0,619522.3125

1300173.0,619246.8125 1300475.0,618650.125 1300743.0,618340.875 1300982.0,617921.6875 1301069.0,617684.625

1301236.0,617310.875 1301348.0,616887.3125 1301704.0,616447.125 1301733.0,614885.125 1301500.0,614644.3125

1301546.0,614149.625 1301893.0,613957.1875 1301935.0,612947.125 1301568.0,612184.8125 1301534.0,611933.1875

1301449.0,611574.6875 1301202.0,610989.8125 1300454.0,610514.625 1298766.0,610544.125 1298552.0,611103.875

1297254.0,611140.0 1296606.0,611042.625 1296237.0,610537.8125 1295816.0,610303.375 1295421.0,610027.625

1294415.0,609722.375 1293699.0,609449.6875 1293515.0,608938.125 1293569.0,607945.3125 1292663.0,607540.1875

1292427.0,607315.5 1292041.0,607019.3125 1291748.0,606963.1875 1291495.0,607249.125 1291190.0,607426.0

1290686.0,607469.375 1289929.0,607397.125 1289662.0,607211.875 1289470.0,606649.3125 1289182.0,605795.625

1288067.0,605324.1875 1287719.0,604871.0 1287078.0,604464.3125 1286732.0,604165.8125 1286625.0,603271.375

1286859.0,601304.875 1287605.0,598725.8125 1289376.0,598123.8125 1290038.0,597499.875 1290581.0,597280.125

1290675.0,596768.1875 1290661.0,596231.0 1290393.0,595764.3125 1290001.0,595095.0 1289928.0,594524.375

1289594.0,594081.625 1289483.0,593692.3125 1289283.0,592808.625 1288478.0,592209.3125 1287518.0,591680.8125

1287377.0,591607.375 1287236.0,591628.3125 1286262.0,591543.6875 1285773.0,591237.5 1285271.0,591155.875

1284889.0,590906.125 1284691.0,590668.3125 1284328.0,589997.625 1284265.0,589687.375 1284372.0,589491.375

1284278.0,589075.125 1284241.0,588959.375 1284326.0,588690.1875 1284195.0,588881.3125 1283941.0,588842.625

1283712.0,588943.375 1283540.0,588881.625 1283390.0,588964.625 1283156.0,589126.8125 1283097.0,588990.3125

1282871.0,588869.6875 1282877.0,588809.375 1282783.0,588926.6875 1282611.0,588755.875 1282457.0,588686.3125

1282118.0,588816.125 1282021.0,588684.3125 1281884.0,588700.375 1281774.0,588921.0 1281703.0,588770.3125

1281561.0,588961.875 1281081.0,588839.1875 1280799.0,589083.1875 1280565.0,589177.3125 1280348.0,589193.875

1280477.0,589273.8125 1280475.0,589389.125 1280208.0,589571.375 1280088.0,589406.5 1279489.0,589272.1875

1279551.0,589257.8125 1279376.0,589315.625 1279268.0,589516.6875 1279293.0,589683.8125 1279104.0,589610.8125

1278877.0,589445.5 1278899.0,589545.625 1278700.0,589879.875 1278524.0,589867.125 1278661.0,589756.1875

1278696.0,589825.125 1278805.0,589933.375 1278913.0,590181.625 1278858.0,590458.0 1278522.0,590567.3125

1278241.0,590738.625 1278228.0,591236.375 1278321.0,591316.625 1278436.0,591209.375 1278607.0,591386.375

1278767.0,591513.6875 1278610.0,591517.125 1278296.0,591471.3125 1278233.0,591381.1875 1278309.0,591328.625

1278208.0,591909.8125 1278108.0,592138.375 1278291.0,592072.625 1277947.0,592152.5 1277944.0,592594.875

1278214.0,592577.875 1277906.0,592666.6875 1277837.0,592852.125 1278089.0,592966.8125 1278124.0,593026.625

1277979.0,593197.8125 1277912.0,593144.625 1277775.0,593533.625 1277988.0,593530.125 1278038.0,593316.875

1277979.0,593362.8125 1278239.0,593889.625 1278203.0,593841.0 1278356.0,593980.125 1278378.0,594057.875

1278218.0,594395.1875 1278417.0,594486.125 1278303.0,594501.0 1277915.0,594618.3125 1277878.0,594912.375

1278012.0,594976.375 1277780.0,594783.375 1277732.0,594777.375 1277646.0,595251.3125 1277325.0,595206.875

1277188.0,595693.0 1277160.0,595645.375 1276925.0,595495.6875 1276935.0,595517.1875 1276802.0,595814.625

1276764.0,596094.625 1276507.0,596219.125 1276223.0,596449.875 1276148.0,596351.875 1275836.0,596562.6875

1275751.0,596690.625 1275354.0,596871.0 1275201.0,596654.625 1274913.0,596971.875 1274686.0,597029.125

1274411.0,596866.625 1274156.0,596997.875 1273980.0,596888.1875 1273816.0,596961.375 1273296.0,596627.5

1272650.0,596850.3125 1272263.0,596752.125 1272160.0,596669.1875 1272189.0,596545.1875 1272375.0,596414.3125

1272325.0,596312.125 1272163.0,596438.3125 1271863.0,596487.375 1271408.0,596247.8125 1271292.0,596411.625

1271093.0,596560.0 1270608.0,596858.875 1270362.0,596913.625 1269961.0,596834.375 1269699.0,596917.625

1269350.0,596862.625 1269192.0,596728.875 1269118.0,596587.625 1269247.0,596424.125 1269228.0,596124.125

1268269.0,596129.125 1268175.0,596354.875 1268095.0,596365.125 1267794.0,596125.8125 1267740.0,595824.625

1266880.0,595980.5 1266598.0,596058.125 1266588.0,596162.8125 1266639.0,596230.625 1266893.0,596325.625

1266914.0,596311.375 1266629.0,596442.875 1266179.0,596701.625 1266006.0,597023.375 1266055.0,597238.3125

1265637.0,597563.125 1265646.0,597889.8125 1265812.0,598258.0 1265612.0,598644.375 1265768.0,598577.875

1265412.0,598633.6875 1265221.0,598906.875 1265298.0,598966.1875 1265232.0,599008.625 1264501.0,598936.375

1264094.0,598720.375 1263807.0,598781.125 1263434.0,598727.0 1263196.0,597627.875 1262775.0,597486.0

1262558.0,597539.6875 1262230.0,597188.125 1261924.0,597041.8125 1261356.0,596754.1875 1261218.0,596665.8125

1260979.0,596533.875 1260868.0,595776.375 1260639.0,595819.3125 1260173.0,596294.375 1258959.0,596032.3125

1258510.0,595590.5 1258014.0,595402.0 1257175.0,595438.8125 1257073.0,596168.3125 1256814.0,596821.5

1256466.0,596986.0 1255917.0,596909.8125 1255527.0,596266.125 1254540.0,596224.875 1253785.0,596321.375

1252997.0,596185.1875 1252434.0,595309.8125 1251400.0,595147.3125 1250911.0,595153.3125 1250442.0,595536.8125

1249837.0,595554.625 1249337.0,595454.625 1248824.0,594883.125 1248054.0,594808.3125 1247844.0,594780.125

1247564.0,594877.125 1247227.0,595004.8125 1247074.0,595207.3125 1247025.0,596125.875 1247653.0,597509.875
1247642.0,597989.1875 1247882.0,598597.625 1247755.0,598799.125 1247394.0,599076.8125 1247216.0,599221.8125

1247300.0,599395.8125 1247588.0,599529.6875 1247539.0,599626.1875 1247146.0,599492.875 1246742.0,599494.6875

1246311.0,599954.375 1245611.0,599991.3125 1245409.0,599902.125 1244934.0,599501.8125 1244076.0,599499.375

1243684.0,599820.125 1242813.0,599838.625 1242411.0,601540.6875 1239958.0,601922.8125 1239801.0,602296.625

1239528.0,602781.3125 1238898.0,603230.0 1238570.0,605590.6875 1237517.0,606093.1875 1237505.0,606576.875

1237742.0,606889.375 1237801.0,607165.8125 1237718.0,607601.3125 1237429.0,609166.0 1237015.0,610723.875

1236981.0,611081.5 1236537.0,611132.625 1236271.0,611555.1875 1232511.0,612138.1875 1231372.0,613111.6875

1230776.0,614371.8125 1230217.0,616457.8125 1228673.0,617127.375 1227929.0,617532.5 1227033.0,617684.0

1226850.0,618138.375 1226715.0,618875.5 1227112.0,619077.0 1227147.0,619289.0 1227078.0,619716.1875

1226315.0,620557.8125 1225461.0,620569.1875 1225217.0,620403.375 1224514.0,620560.3125 1224145.0,621242.375

1223742.0,621512.625 1223772.0,621885.625 1224632.0,622611.375 1225266.0,622881.875 1225693.0,623639.125

1225945.0,624370.125 1226323.0,624819.3125 1226613.0,625123.1875 1226924.0,625551.8125 1227142.0,625980.375

1227202.0,626327.875 1227155.0,626513.5 1227070.0,626938.625 1226606.0,630153.1875 1221575.0,630461.5

1218063.0,630891.3125 1216476.0,630825.0 1216142.0,631131.375 1215268.0,631798.8125 1214290.0,632197.0

1213461.0,632191.8125 1213303.0,631835.125 1213050.0,630503.125 1212788.0,629973.8125 1212963.0,629405.625

1213004.0,628315.625 1213501.0,626934.375 1213608.0,626497.875 1214003.0,625968.625 1213577.0,625405.0

1213416.0,625338.125 1212957.0,625580.625 1211760.0,625517.5 1211246.0,625547.8125 1210319.0,626044.375

1209797.0,626177.375 1209379.0,625921.6875 1208670.0,625348.875 1207809.0,624744.625 1206550.0,627528.8125

1203355.0,630230.375 1198224.0,630356.625 1197495.0,630456.125 1192753.0,627821.8125 1195076.0,623925.875

1194753.0,619951.5 1194637.0,617679.8125 1194975.0,613474.625 1197690.0,611411.8125 1199278.0,610247.625

1200342.0,608926.875 1201907.0,607183.8125 1203638.0,603590.875 1206654.0,603607.1875 1205858.0,604494.1875

1204340.0,604517.625 1203843.0,604353.6875 1203642.0,604363.125 1203547.0,604943.6875 1203123.0,604822.3125

1202831.0,604451.3125 1202632.0,604001.6875 1202000.0,603671.625 1201770.0,603300.6875 1201760.0,603097.375

1201566.0,603139.375 1201345.0,602952.625 1201362.0,602813.375 1201276.0,602545.875 1200967.0,602415.8125

1201073.0,602250.875 1201026.0,602075.3125 1200674.0,601971.8125 1200353.0,602072.375 1200090.0,602058.875

1199817.0,602209.5 1199699.0,602318.0 1199402.0,602137.1875 1199262.0,602158.3125 1199143.0,602779.0

1198792.0,602726.5 1198030.0,600840.5 1198186.0,598620.3125 1198574.0,593274.125 1200622.0,593152.8125

1200732.0,593094.125 1200983.0,594871.625 1204661.0,592171.3125 1208570.0,588597.375 1212841.0,587476.625

1215008.0,586849.8125 1215994.0,585500.625 1219270.0,585239.0 1219374.0,583409.8125 1218938.0,582614.5

1218575.0,582410.375 1218745.0,582117.5 1218645.0,581912.875 1218758.0,580983.375 1218722.0,580172.875

1218582.0,578961.0 1218123.0,578082.0 1217600.0,577085.1875 1216784.0,576392.5 1215978.0,575441.125

1215429.0,573020.3125 1214243.0,572293.875 1214018.0,570457.1875 1213670.0,563386.125 1211618.0,560719.5

1211157.0,559035.0 1210380.0,555757.0 1210061.0,555416.125 1210158.0,554820.625 1210539.0,554726.0

1210441.0,554623.875 1209960.0,553320.8125 1210384.0,553158.625 1210583.0,553216.375 1211025.0,552844.5

1211251.0,552680.6875 1211532.0,552328.625 1211555.0,552154.875 1211789.0,551773.1875 1211613.0,551175.625

1211731.0,550443.5 1211177.0,550263.3125 1210831.0,549756.875 1210713.0,549229.125 1211126.0,548716.125

1211362.0,548551.1875 1211604.0,548464.6875 1211926.0,548124.625 1212120.0,547735.875 1212710.0,546963.8125

1212614.0,546946.0 1212326.0,546700.5 1211793.0,546279.8125 1211229.0,546066.375 1210613.0,545971.375

1210558.0,545955.5 1210408.0,545342.125 1209460.0,545297.1875 1209248.0,545386.0 1208978.0,545169.125

1208906.0,544883.375 1208567.0,544833.8125 1208276.0,545012.5 1208083.0,544838.875 1207956.0,544559.6875

1207897.0,544434.625 1207742.0,544145.0 1207720.0,544070.8125 1207549.0,543787.125 1207622.0,543777.1875

1207262.0,543383.1875 1207296.0,543220.8125 1206958.0,542874.125 1206899.0,542683.625 1206595.0,542475.625

1206496.0,542318.5 1206108.0,542342.5 1205837.0,542037.8125 1205780.0,541976.3125 1205621.0,542018.1875

1205319.0,541858.375 1205246.0,542010.8125 1204952.0,541781.3125 1204866.0,541279.8125 1205059.0,541099.0

1204859.0,541020.875 1204686.0,541034.8125 1204423.0,540740.875 1204204.0,540832.125 1203983.0,540704.0

1203329.0,540524.1875 1203190.0,539717.5 1203174.0,539677.3125 1203062.0,539788.3125 1202652.0,539716.875

1202425.0,539619.3125 1202358.0,539203.625 1202420.0,539032.8125 1202262.0,538284.3125 1201084.0,537692.375

1201056.0,537422.625 1200865.0,537292.5 1200685.0,537348.0 1200179.0,536743.375 1200433.0,535966.3125

1200935.0,535776.8125 1200959.0,532150.625 1202779.0,531579.625 1203228.0,530438.125 1203340.0,529887.375

1203788.0,529490.125 1203988.0,529368.3125 1204263.0,526507.625 1203812.0,523816.59375 1204815.0,522020.5

1205867.0,520241.28125 1205918.0,518014.6875 1206964.0,517357.28125 1207183.0,516006.90625

1207179.0,514240.6875 1206927.0,512254.0 1206725.0,511901.59375 1206758.0,511647.09375 1206965.0,511596.09375

1207341.0,511754.3125 1207655.0,512968.40625 1209129.0,513291.3125 1209842.0,513164.0 1211298.0,513031.59375
1211409.0,512694.09375 1211468.0,512073.3125 1211345.0,510873.09375 1210868.0,509916.90625

1210836.0,509589.09375 1210927.0,509184.0 1210641.0,509118.59375 1209695.0,508990.8125 1209293.0,509066.3125

1208627.0,508173.5 1208961.0,507738.8125 1208890.0,506299.6875 1207961.0,505993.09375 1207539.0,505968.90625

1207359.0,506245.59375 1207018.0,506246.40625 1206422.0,505323.40625 1206197.0,504991.6875

1205846.0,505004.1875 1205675.0,505283.09375 1205180.0,505333.28125 1204773.0,504888.3125

1204430.0,504557.90625 1204347.0,504364.6875 1204088.0,503635.0 1203757.0,504322.90625 1201004.0,506820.90625

1195660.0,506768.0 1194545.0,506641.09375 1193724.0,507055.3125 1193537.0,507124.6875 1193392.0,507446.5

1191471.0,508634.59375 1191005.0,508893.0 1190784.0,509751.09375 1189756.0,510481.5 1188680.0,511168.0

1184810.0,499871.3125 1178278.0,495699.90625 1175612.0,493207.1875 1172623.0,489139.59375

1165579.0,486056.09375 1162788.0,473510.09375 1162328.0,467018.90625 1164468.0,461744.8125 1164785.0,461726.5

1163616.0,460814.90625 1163676.0,460489.09375 1163535.0,458511.09375 1163420.0,458259.90625

1163475.0,457307.40625 1164012.0,456714.5 1164058.0,456199.6875 1163954.0,455491.0 1163681.0,455272.90625

1163500.0,455195.90625 1161722.0,454981.3125 1161189.0,454758.78125 1160871.0,454342.1875

1160601.0,453416.09375 1160315.0,452852.5 1159936.0,452391.0 1159768.0,452207.1875 1159580.0,452000.6875

1157415.0,451693.8125 1156263.0,451327.6875 1155625.0,450336.90625 1154687.0,448761.09375

1154535.0,447721.40625 1153868.0,447395.6875 1153404.0,446217.40625 1150936.0,445783.3125 1150176.0,445485.6875

1149861.0,444849.3125 1150596.0,444820.8125 1150745.0,444422.8125 1151311.0,444542.09375 1151556.0,443415.0

1152752.0,441123.21875 1152407.0,441042.90625 1152317.0,439155.09375 1151880.0,439032.40625

1151997.0,439026.21875 1152227.0,438617.90625 1152402.0,437897.6875 1153079.0,438046.09375

1153461.0,438014.1875 1153743.0,438080.0 1153829.0,437938.6875 1153829.0,437829.8125 1153949.0,437284.40625

1155082.0,437192.6875 1155129.0,436852.40625 1154631.0,436809.1875 1154351.0,434274.5 1155051.0,433583.8125

1155168.0,433449.8125 1155484.0,433084.40625 1155728.0,432884.40625 1155749.0,432951.40625

1155860.0,432236.40625 1157037.0,431103.71875 1158487.0,430035.3125 1159557.0,429359.5 1160006.0,428843.5

1160079.0,428421.3125 1159962.0,425581.28125 1158243.0,424878.0 1158072.0,424198.3125 1157739.0,423902.8125

1157770.0,423061.59375 1158193.0,422668.8125 1158055.0,422513.59375 1158551.0,422621.21875

1159470.0,422443.71875 1160627.0,422536.59375 1161471.0,422136.8125 1162636.0,422098.4375

1163092.25,421018.78125 1164856.0,420882.3125 1165575.0,420725.5 1165467.0,420508.1875 1165519.0,420354.1875

1165651.0,420224.40625 1165972.0,419832.5 1166170.0,419320.5 1166584.0,418080.5 1168292.0,417230.90625

1168377.0,417292.59375 1168060.0,417225.0 1167987.0,416479.09375 1167873.0,415583.6875 1167923.0,414381.0

1168289.0,414263.90625 1168138.0,414578.59375 1167270.0,414656.6875 1167221.0,414653.78125

1166969.0,414425.59375 1166829.0,414254.59375 1166841.0,413937.8125 1167059.0,413319.3125

1167165.0,412651.90625 1166951.0,411064.90625 1165666.0,410892.0 1165324.0,410942.40625 1164964.0,410660.90625

1164857.0,410551.09375 1165092.0,410227.40625 1165325.0,410106.5 1165511.0,409846.5 1165334.0,409689.8125

1165451.0,409509.6875 1165878.0,409127.59375 1166333.0,408423.3125 1166565.0,408270.1875 1166725.0,407461.6875

1167102.0,406828.5 1167526.0,406551.1875 1167595.0,405595.09375 1167448.0,405197.5 1167235.0,404889.0

1166949.0,404337.90625 1166944.0,404016.09375 1166824.0,402635.59375 1165867.0,402302.40625

1165746.0,401639.59375 1165696.0,399914.90625 1165986.0,399222.8125 1165823.0,398319.59375 1165803.0,397774.0

1165974.0,397269.90625 1165824.0,396938.0 1165965.0,396465.5 1165933.0,396239.90625 1166014.0,395856.59375

1166356.0,394806.40625 1166614.0,394105.3125 1167127.0,393615.09375 1167317.0,392685.5 1167438.0,392257.5

1167930.0,392263.5 1168054.0,391991.5 1168265.0,391795.6875 1168145.0,391403.90625 1168137.0,390953.59375

1168351.0,390805.0 1168304.0,390223.8125 1168532.0,389856.40625 1168833.0,388913.28125 1169297.0,388483.09375

1169645.0,387989.3125 1169643.0,386520.5 1170236.0,385619.59375 1170345.0,385148.90625 1170326.0,384705.3125

1170167.0,384487.09375 1170223.0,384061.90625 1170463.0,383402.40625 1171057.0,382567.09375 1171996.0,382391.5

1172500.0,382011.3125 1172638.0,381373.09375 1174267.0,380996.0 1174974.0,380929.8125 1175351.0,380389.5

1175740.0,380389.6875 1176092.0,380633.6875 1176969.0,380352.6875 1177351.0,380024.5 1177498.0,379841.0

1177421.0,379777.90625 1177619.0,379306.59375 1177721.0,378306.59375 1178187.0,378046.59375

1178131.0,377914.6875 1177978.0,377403.78125 1177849.0,376876.3125 1177473.0,376771.0 1177577.0,376419.3125

1177542.0,376110.8125 1177630.0,375979.59375 1177783.0,375885.3125 1178170.0,376545.59375 1178616.0,376573.0

1178794.0,376471.59375 1179140.0,376651.40625 1179580.0,376659.59375 1180144.0,376367.3125

1180756.0,376741.8125 1181552.0,376689.21875 1181849.0,376173.59375 1182673.0,376033.59375 1182692.0,376178.0

1182496.0,376156.3125 1182374.0,375820.90625 1182362.0,375652.5 1182543.0,375577.09375 1182837.0,375392.3125

1183131.0,375419.90625 1183289.0,375690.90625 1183512.0,376098.6875 1183658.0,376090.0 1183761.0,375506.40625

1183651.0,375218.1875 1183499.0,374964.09375 1183117.0,375167.90625 1182323.0,376034.8125 1182072.0,376310.5
1181839.0,376440.40625 1181567.0,376249.59375 1181328.0,375880.8125 1181105.0,375729.28125

1180753.0,375993.3125 1179916.0,375275.5 1179142.0,375317.0 1178810.0,375594.40625 1178157.0,375415.8125

1177724.0,375006.5 1177353.0,375155.3125 1176471.0,375294.5 1176162.0,375564.8125 1175837.0,375672.78125

1175331.0,375865.8125 1175104.0,375783.90625 1174785.0,376146.8125 1174479.0,376308.8125 1174048.0,375878.5

1173123.0,372500.8125 1168185.0,370508.0 1164935.0,369801.1875 1164564.0,369472.8125 1164610.0,369344.5

1164725.0,369343.5 1164822.0,369525.90625 1164891.0,369535.1875 1164975.0,368911.09375 1165094.0,368246.09375

1164871.0,367751.09375 1164548.0,367020.09375 1164687.0,366507.8125 1164692.0,366271.90625

1164646.0,366348.90625 1164573.0,365640.3125 1164002.0,365106.59375 1164194.0,364263.59375

1164092.0,364094.09375 1164441.0,363195.09375 1164814.0,362803.59375 1165128.0,362508.5 1165259.0,362289.0

1165268.0,361778.0 1165074.0,361821.1875 1165364.0,361689.5 1165429.0,361683.59375 1165533.0,361739.90625

1166186.0,361625.5 1166423.0,361688.3125 1166547.0,361530.5 1166995.0,361418.1875 1166865.0,361035.5

1166978.0,360947.59375 1166912.0,360096.40625 1166984.0,359791.40625 1167157.0,359684.5 1167369.0,359688.6875

1167168.0,359593.1875 1167102.0,359501.09375 1167228.0,359501.5 1167862.0,359426.40625 1168040.0,359073.1875

1168273.0,358212.40625 1168188.0,357269.5 1168726.0,356968.09375 1169137.0,356609.21875 1169456.0,356713.1875

1169166.0,355720.3125 1169337.0,355441.8125 1169480.0,355351.59375 1169742.0,355461.90625 1170259.0,355435.3125

1170560.0,355328.40625 1170757.0,354978.09375 1171033.0,354781.1875 1171533.0,354837.09375

1172101.0,355673.40625 1172934.0,355565.40625 1173173.0,355543.8125 1172897.0,354784.40625

1172225.0,354680.90625 1171798.0,354675.0 1171345.0,355158.90625 1170605.0,355346.0 1170458.0,355367.1875

1170364.0,355281.78125 1170359.0,355329.1875 1170112.0,355218.6875 1170094.0,355187.8125 1169992.0,355197.59375

1169632.0,355547.40625 1169271.0,356442.1875 1169018.0,356813.90625 1169003.0,357090.40625 1168414.0,357549.5

1168347.0,358129.3125 1168036.0,358878.09375 1166972.0,359280.09375 1166629.0,359286.0 1166260.0,359560.59375

1166091.0,359944.78125 1166010.0,359930.1875 1165605.0,360091.90625 1165446.0,360713.59375 1165150.0,360951.0

1164886.0,361186.1875 1164406.0,362131.90625 1163914.0,362360.3125 1162721.0,362100.90625 1162281.0,362159.1875

1161699.0,362015.0 1161412.0,362359.8125 1161713.0,362382.6875 1161664.0,361927.6875 1161228.0,361795.09375

1160857.0,361558.1875 1160584.0,361308.28125 1160454.0,361028.90625 1160435.0,359680.21875

1161157.0,358362.59375 1161560.0,357827.0 1161415.0,356541.40625 1161671.0,355705.90625 1161647.0,355544.8125

1161589.0,355338.1875 1161371.0,355408.90625 1160923.0,355144.1875 1160602.0,353906.59375 1160976.0,353721.3125

1160902.0,353452.8125 1160561.0,353344.8125 1160618.0,353140.5 1160530.0,352472.59375 1160536.0,351925.8125

1160251.0,351772.6875 1159998.0,352055.09375 1159733.0,351993.3125 1159534.0,351106.8125 1159593.0,351110.8125

1159517.0,350883.59375 1159445.0,350764.59375 1159282.0,350478.3125 1159557.0,350144.3125

1160231.0,350031.09375 1160321.0,349176.09375 1160513.0,348555.59375 1160925.0,348194.6875 1161067.0,348150.0

1161171.0,348416.5 1161937.0,348399.5 1163450.0,348903.3125 1164273.0,348310.59375 1165563.0,347749.1875

1166372.0,346989.3125 1166983.0,346053.90625 1167401.0,345778.8125 1167257.0,345341.5 1166860.0,344550.90625

1165772.0,344112.5 1165353.0,343390.09375 1165045.0,343369.1875 1165599.0,343104.8125 1165898.0,343254.40625

1166027.0,343257.90625 1166177.0,342893.6875 1167050.0,341374.5 1169578.0,341088.0 1169932.0,340809.3125

1170021.0,340817.6875 1170312.0,339974.40625 1171390.0,339052.6875 1172317.0,338761.6875 1172496.0,338601.40625

1172535.0,338249.5 1172339.0,337985.09375 1172635.0,337619.09375 1172829.0,337062.09375 1172838.0,336548.3125

1172100.0,336434.40625 1172069.0,336358.6875 1172156.0,336623.59375 1172544.0,336650.8125 1172743.0,336260.3125

1173336.0,335750.6875 1173669.0,335313.8125 1174215.0,335290.3125 1174392.0,335739.78125 1174849.0,336293.3125

1175669.0,336427.0 1176237.0,336457.90625 1176926.0,337384.90625 1177082.0,337507.90625 1176841.0,337769.40625

1176825.0,338203.90625 1177256.0,338507.5 1177826.0,338742.40625 1178542.0,338755.1875 1179276.0,339141.3125

1179350.0,339296.1875 1179458.0,339540.6875 1180231.0,339870.1875 1180512.0,340139.1875 1180876.0,340355.59375

1180552.0,340701.40625 1180725.0,340917.8125 1181024.0,341162.90625 1181731.0,341133.90625 1182090.0,341282.0

1182257.0,341324.90625 1182880.0,341190.5 1183241.0,341279.3125 1183489.0,341112.3125 1184671.0,341086.6875

1185066.0,341164.3125 1185161.0,341320.59375 1185138.0,341597.1875 1184893.0,341769.8125 1184878.0,341920.6875

1184884.0,342196.3125 1185228.0,342528.5 1185121.0,342832.8125 1185500.0,343317.40625 1185619.0,343902.5

1185960.0,344298.90625 1186516.0,344833.09375 1187000.0,345122.90625 1187435.0,345297.3125

1187505.0,345782.40625 1187450.0,345959.5 1187128.0,346615.09375 1186659.0,347110.90625 1186677.0,347881.0

1186916.0,348184.59375 1186762.0,348709.0 1186834.0,349173.90625 1187635.0,349178.59375 1188042.0,349344.78125

1188113.0,349582.5 1188115.0,349859.28125 1187973.0,350140.90625 1187600.0,350289.8125 1187551.0,350481.59375

1187650.0,350666.0 1187484.0,350907.59375 1187062.0,351118.8125 1187006.0,351683.5 1186986.0,351818.40625

1187065.0,351952.0 1187394.0,352306.40625 1187469.0,352498.40625 1187672.0,352724.59375 1187759.0,353001.5

1187728.0,353414.78125 1187498.0,354793.09375 1187566.0,355493.59375 1187721.0,355445.40625
1188029.0,355070.3125 1188240.0,354206.59375 1188340.0,354196.8125 1188557.0,354379.1875 1188675.0,354027.59375

1189027.0,354035.90625 1189549.0,353616.5 1189952.0,353666.1875 1190403.0,353846.90625 1190476.0,354068.28125

1190310.0,354341.59375 1190268.0,354616.09375 1190475.0,354853.8125 1190795.0,355090.09375

1191598.0,355180.59375 1192382.0,355150.3125 1193425.0,355028.5 1193655.0,355257.40625 1193959.0,355307.90625

1194461.0,355452.59375 1194577.0,355483.0 1194814.0,355671.8125 1194961.0,355785.8125 1194863.0,355978.6875

1194866.0,356375.3125 1195402.0,356513.0 1195339.0,356687.59375 1195975.0,357634.59375 1196197.0,358405.90625

1196586.0,358970.90625 1197627.0,359327.3125 1197997.0,359769.40625 1199490.0,359711.5 1199675.0,359758.8125

1201639.0,359686.90625 1202073.0,359589.78125 1202131.0,359625.09375 1202272.0,359439.78125

1203447.0,358962.3125 1204989.0,359011.8125 1205462.0,358834.6875 1206229.0,358097.0 1208249.0,357528.0

1209465.0,357539.21875 1209717.0,357147.8125 1209998.0,356788.40625 1210487.0,356852.40625

1210902.0,356787.09375 1211191.0,355722.90625 1213123.0,353836.59375 1215730.0,354293.6875

1215954.0,354439.59375 1216205.0,354435.3125 1216517.0,354528.8125 1216773.0,354121.09375 1217724.0,354269.0

1217950.0,354321.90625 1218253.0,354496.5 1218456.0,354338.59375 1218768.0,354290.5 1219306.0,353112.40625

1220988.0,353049.8125 1221325.0,353015.21875 1221209.0,352935.3125 1221229.0,352743.90625 1221415.0,352812.3125

1221774.0,353576.59375 1222082.0,354164.6875 1222515.0,354476.09375 1222606.0,354904.0 1222522.0,355036.3125

1222774.0,355009.40625 1222961.0,354738.8125 1223213.0,353974.8125 1223639.0,353901.40625

1223952.0,354071.59375 1224707.0,353956.3125 1224829.0,353467.09375 1224772.0,352250.40625

1225373.0,350739.90625 1225811.0,350056.59375 1225858.0,349630.8125 1225769.0,349082.40625 1225436.0,346939.0

1226255.0,346882.09375 1226333.0,346685.1875 1226347.0,346569.09375 1227097.0,345276.09375

1229016.0,345143.8125 1229432.0,344672.0 1230172.0,344289.90625 1231194.0,343402.6875 1232378.0,343004.3125

1232592.0,342813.59375 1232974.0,342515.59375 1233182.0,342359.28125 1234105.0,342415.0 1234383.0,342278.0

1234537.0,342057.0 1234561.0,341640.0 1234445.0,341306.3125 1234593.0,340445.09375 1234630.0,340252.3125

1234730.0,339823.0 1234744.0,339013.40625 1234599.0,338064.5 1234635.0,337141.3125 1234270.0,336535.3125

1233785.0,335149.59375 1232444.0,333729.40625 1231844.0,333596.09375 1231579.0,333491.6875

1230857.0,333252.6875 1230299.0,332484.90625 1229447.0,331794.09375 1229105.0,331234.5 1228235.0,330510.09375

1227401.0,330038.5 1227117.0,330125.40625 1227031.0,330690.09375 1226929.0,332034.8125 1227339.0,332685.09375

1227701.0,332870.8125 1227717.0,333061.1875 1227683.0,333222.3125 1227504.0,333253.6875 1226628.0,332839.1875

1225630.0,332254.0 1225298.0,331557.09375 1224693.0,331102.5 1224182.0,330896.5 1223474.0,330806.0

1222607.0,330833.6875 1221882.0,330704.5 1221084.0,329972.09375 1219940.0,329789.40625 1219554.0,329773.78125

1219237.0,329599.0 1219022.0,329289.8125 1218153.0,328525.59375 1216716.0,328458.3125 1216107.0,328212.40625

1215299.0,328076.90625 1214470.0,327837.8125 1213990.0,327139.5 1213192.0,327011.5 1212800.0,327026.90625

1212597.0,326679.28125 1211571.0,326628.09375 1211053.0,326702.09375 1210425.0,327042.90625

1209330.0,327873.59375 1208098.0,327858.90625 1207521.0,327671.90625 1206350.0,327851.3125

1205697.0,327845.8125 1205396.0,328204.8125 1204823.0,328269.0 1204495.0,328198.1875 1204321.0,328041.40625

1204244.0,326341.09375 1204262.0,325930.40625 1203764.0,325946.59375 1203468.0,325854.5 1203373.0,324799.59375

1202896.0,324750.8125 1202802.0,324563.09375 1202869.0,324072.40625 1202385.0,323663.1875 1202384.0,323603.1875

1202794.0,323059.28125 1203038.0,322408.59375 1203021.0,321954.3125 1202902.0,321757.0 1202631.0,320979.5

1202219.0,320504.59375 1201601.0,320565.40625 1201334.0,320470.8125 1201246.0,320284.1875

1201270.0,320096.59375 1201371.0,320016.40625 1201562.0,320001.09375 1201790.0,320244.5 1202135.0,319936.3125

1202691.0,320020.09375 1203144.0,319776.1875 1203618.0,318519.8125 1205064.0,317387.09375 1205675.0,316983.0

1205460.0,316806.09375 1205638.0,316849.6875 1205932.0,316797.8125 1205971.0,316635.8125 1205854.0,315971.1875

1206094.0,315864.21875 1206277.0,315858.3125 1206764.0,315780.6875 1206796.0,315650.3125 1206661.0,314926.59375

1206783.0,313700.40625 1206810.0,313412.40625 1206896.0,313180.6875 1207059.0,313350.3125 1207608.0,313190.0

1207581.0,312674.1875 1207833.0,312476.90625 1207782.0,312226.59375 1207562.0,311869.1875 1207512.0,311460.8125

1207646.0,310964.1875 1207707.0,310714.6875 1207639.0,310195.8125 1207785.0,309912.90625 1207644.0,309554.3125

1207604.0,308911.6875 1207239.0,308522.3125 1207215.0,308531.6875 1207071.0,308233.6875 1206579.0,308190.6875

1206238.0,307937.5 1206124.0,307732.0 1206150.0,307237.1875 1205927.0,306906.5 1205643.0,306820.6875

1205328.0,306840.59375 1205029.0,306723.6875 1204765.0,306217.59375 1204470.0,305665.1875

1204579.0,305512.09375 1204537.0,305480.5 1204279.0,304985.09375 1203845.0,304915.90625 1203448.0,304789.1875

1203388.0,304540.8125 1203431.0,304553.8125 1203276.0,303977.1875 1203111.0,303513.09375 1202819.0,304758.1875

1203173.0,304862.8125 1203115.0,304844.0 1203042.0,305765.8125 1203003.0,304562.5 1202903.0,301760.28125

1201801.0,301494.09375 1201310.0,301362.3125 1201246.0,301331.3125 1201029.0,301401.90625 1200813.0,301649.3125

1200701.0,301712.0 1200468.0,301151.09375 1200601.0,301011.5 1200526.0,300737.40625 1200636.0,300101.8125
1201409.0,299828.40625 1201577.0,299637.09375 1201876.0,299071.09375 1202281.0,298494.3125

1202372.0,298209.1875 1202337.0,297838.0 1202142.0,297729.0 1201901.0,297909.0 1201426.0,297700.40625

1201145.0,297354.21875 1201011.0,296550.09375 1201288.0,295214.09375 1201954.0,295266.6875

1202165.0,294669.09375 1202752.0,295130.09375 1202477.0,295490.90625 1202475.0,295710.40625 1202273.0,295884.5

1202364.0,296159.5 1202756.0,296285.8125 1203323.0,296194.21875 1204118.0,295536.8125 1205233.0,294999.0

1205739.0,293894.8125 1206529.0,292849.6875 1207015.0,292677.1875 1207561.0,292440.40625 1207978.0,292195.59375

1209068.0,292197.6875 1209304.0,292311.09375 1209412.0,292568.0 1210053.0,292527.1875 1210218.0,292270.6875

1210493.0,292718.3125 1211229.0,292672.1875 1211378.0,293098.3125 1211860.0,293413.3125 1211938.0,293730.3125

1212245.0,293692.09375 1213928.0,293758.59375 1215997.0,293547.6875 1218536.0,292961.40625

1221201.0,292696.8125 1221852.0,292679.28125 1222245.0,292521.3125 1222441.0,292452.3125 1223505.0,292522.8125

1224205.0,292451.40625 1224773.0,292363.5 1224897.0,292131.40625 1224809.0,291945.78125 1224855.0,291587.1875

1225074.0,291621.1875 1225168.0,292073.90625 1225406.0,292075.90625 1225587.0,292277.5 1225709.0,292622.6875

1225306.0,292575.0 1225077.0,292698.59375 1224942.0,292904.3125 1224908.0,293331.8125 1225074.0,293594.0

1225299.0,293936.59375 1225863.0,294063.0 1226537.0,293995.1875 1226708.0,294037.90625 1226885.0,294777.0

1227310.0,294456.8125 1230653.0,294054.1875 1232077.0,294025.09375 1232497.0,293640.8125 1233280.0,292926.5

1235885.0,292154.59375 1238183.0,291553.09375 1239450.0,290995.8125 1240351.0,290683.5 1240777.0,290211.40625

1241148.0,289956.8125 1240943.0,289311.59375 1241000.0,289211.8125 1240806.0,288927.90625 1240620.0,288686.8125

1240587.0,287851.09375 1240188.0,287142.90625 1241022.0,287395.1875 1241150.0,287645.0 1241741.0,287761.6875

1241772.0,287922.0 1241663.0,288131.40625 1241698.0,288212.8125 1242115.0,288343.1875 1242269.0,288874.78125

1242403.0,289422.59375 1242680.0,289714.8125 1242585.0,289856.59375 1242762.0,289784.0 1243309.0,289606.0

1243849.0,289161.8125 1244549.0,289345.5 1245097.0,289441.0 1245183.0,289987.8125 1245223.0,290421.90625

1245601.0,290438.09375 1245836.0,290317.90625 1246514.0,289831.3125 1247534.0,289723.78125

1247939.0,290146.6875 1248049.0,290327.90625 1248009.0,290476.6875 1247785.0,290557.8125 1247787.0,291592.90625

1248102.0,291805.09375 1247869.0,291944.40625 1247830.0,292244.8125 1248072.0,292269.09375

1248439.0,292433.6875 1248656.0,292372.1875 1249118.0,292138.09375 1249577.0,292351.1875 1249566.0,293135.09375

1249258.0,293348.1875 1249269.0,293687.90625 1249523.0,293856.90625 1249900.0,294345.40625

1249936.0,294861.6875 1250233.0,295187.5 1250814.0,295182.3125 1251086.0,295071.59375 1251317.0,295115.6875

1251534.0,295304.6875 1251534.0,295607.1875 1251396.0,296198.90625 1250913.0,296733.6875 1250796.0,297817.59375

1251576.0,297931.3125 1251756.0,297950.0 1251996.0,297572.6875 1252461.0,297271.6875 1253299.0,296775.6875

1253906.0,296777.1875 1254259.0,297116.09375 1254614.0,296944.6875 1254888.0,296766.3125 1255004.0,296409.0

1255084.0,296008.59375 1254893.0,295195.40625 1254854.0,294152.40625 1254169.0,293655.5 1254240.0,293330.8125

1254547.0,293443.59375 1254826.0,293002.59375 1254938.0,292640.8125 1255162.0,292046.28125

1256185.0,292063.90625 1256457.0,291782.40625 1257697.0,291781.8125 1257865.0,291862.90625

1257836.0,291755.1875 1258179.0,291692.6875 1259325.0,291565.3125 1259479.0,291501.3125 1259953.0,291624.3125

1260571.0,291698.40625 1260700.0,291908.09375 1260787.0,291573.59375 1261186.0,291544.09375

1261405.0,291698.3125 1261595.0,291394.8125 1261801.0,290940.6875 1262714.0,290578.09375 1263077.0,290464.0

1262778.0,290542.90625 1262531.0,290353.59375 1262468.0,289576.3125 1262818.0,289216.90625

1262727.0,289042.59375 1262917.0,288910.5 1263180.0,288974.90625 1263407.0,289419.21875 1264101.0,288371.59375

1264428.0,288106.8125 1264803.0,287347.90625 1264732.0,287333.1875 1264849.0,287693.90625 1264972.0,288185.1875

1265372.0,288463.5 1265490.0,288756.5 1265494.0,290987.8125 1264915.0,291440.6875 1265221.0,291357.09375

1265556.0,291104.59375 1265857.0,289297.0 1266135.0,288103.0 1266053.0,286978.5 1265569.0,286141.40625

1264380.0,285172.09375 1263710.0,284892.90625 1263373.0,284257.09375 1262993.0,283987.3125

1263077.0,283781.40625 1263292.0,283740.59375 1263844.0,283528.3125 1264333.0,283779.90625

1264751.0,283918.6875 1265182.0,283895.59375 1265728.0,283641.3125 1266829.0,283663.40625 1266952.0,283795.5

1266996.0,283459.40625 1267911.0,282678.40625 1269530.0,281709.90625 1270890.0,281012.0 1272037.0,280718.0

1272981.0,280818.40625 1273768.0,280733.0 1274230.0,280537.8125 1274501.0,280082.3125 1274703.0,278774.0

1274628.0,278537.40625 1274702.0,278310.8125 1274861.0,277496.8125 1275929.0,277083.90625 1276721.0,276838.8125

1277452.0,277006.5 1278246.0,277011.21875 1278786.0,276699.0 1279444.0,276129.6875 1281071.0,275999.40625

1281291.0,275663.1875 1281548.0,275482.71875 1281565.0,275304.6875 1281205.0,275049.21875

1281250.0,274801.90625 1281901.0,274818.09375 1282392.0,274991.09375 1282719.0,275135.40625

1282885.0,275436.8125 1282808.0,275596.40625 1282936.0,275586.0 1283407.0,275457.1875 1283967.0,274385.0

1285914.0,274014.8125 1286059.0,273660.40625 1286038.0,273429.59375 1286714.0,272586.1875 1288218.0,273016.1875

1288440.0,273122.09375 1288689.0,272879.3125 1289514.0,272979.59375 1290331.0,272870.09375 1290784.0,272938.5
1291254.0,272727.3125 1291735.0,272854.8125 1293562.0,272691.6875 1295692.0,272768.3125 1297153.0,272702.0

1298406.0,272777.6875 1298965.0,272510.40625 1299499.0,272043.8125 1301513.0,271805.6875 1301948.0,270965.59375

1303007.0,270776.1875 1303538.0,270483.5 1303713.0,269586.0 1303910.0,269648.8125 1304290.0,270060.90625

1304935.0,269596.1875 1305006.0,269151.5 1305301.0,268755.3125 1305339.0,267960.1875 1305702.0,267543.1875

1306471.0,267694.09375 1306678.0,267690.90625 1306821.0,267474.09375 1307187.0,267599.8125

1307454.0,267519.40625 1307662.0,267251.40625 1307941.0,266670.28125 1307852.0,266515.59375

1307928.0,266052.59375 1308642.0,265820.40625 1309268.0,265823.09375 1309589.0,265687.59375

1309954.0,264749.40625 1310697.0,264445.59375 1311207.0,263812.3125 1312764.0,263557.5 1313154.0,262943.3125

1315269.0,263099.6875 1315828.0,263070.59375 1316422.0,263233.28

Associated revisions

Revision 61ff7432 - 2014-02-11 01:29 PM - Martin Dobias

Fix #6995 (db manager's SQL window freezes with long query)

History

#1 - 2013-01-14 08:49 PM - Mathieu Pellerin - nIRV

- Category set to DB Manager

#2 - 2013-01-14 08:51 PM - Mathieu Pellerin - nIRV

- File sql_query.txt added

oups, seems the SQL query was cut-off. I've attached the query as a text file.

#3 - 2013-01-14 09:03 PM - Mathieu Pellerin - nIRV

To avoid confusion: this is about interface freezing when editing a query (i.e. not a freeze while the query is being executed).

	

Thinking out-loud: maybe the checkbox is overkill and confusing. The syntax coloring code could look at the length of the query, and above a number of

characters would skip coloring. A simple

if (strlen(query_string) <= maxchar) {

 //proceed with coloring 

}

#4 - 2013-02-17 12:17 AM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

#5 - 2013-05-25 03:34 AM - Giuseppe Sucameli

- Priority changed from High to Normal
Pasting or editing such a query makes highlighting process slow here, but it doesn't freeze (it could depend on resources available on my notebook).

I could check the query length, but using a 124190 chars query long is something not usual anyway...

#6 - 2014-02-07 05:54 AM - Giovanni Manghi

- Priority changed from Normal to High

#7 - 2014-02-11 03:02 AM - Martin Dobias

The SQL syntax highlighting is highly inefficient, involving more than a thousand of regular expressions being matched to the text many many times. I

haven't found an easy way how to fix that in reasonable amount of time - I think we need to rework the tokenizer and that is beyond a simple bug fix.

For the mean time, I suggest disabling the highlighting to overcome the problem. Any objections?

#8 - 2014-02-11 03:07 AM - Paolo Cavallini

-1: even on an Atom machine, the slowdown is acceptable, and the syntax colouring is a big plus.

If we remove it now, I guess it will be forgotten, and possibly never put back.

#9 - 2014-02-11 03:17 AM - Alexander Bruy

Maybe we should drop current implementation and use something another instead? For example QScintilla. I talked with Giuseppe about this recently and

he has no objections. Here is a pull-request https://github.com/qgis/QGIS/pull/1162. Maybe it needs some more work, but most functionality already here.

#10 - 2014-02-11 03:22 AM - Mathieu Pellerin - nIRV

Paolo, the "slowdown" is a freeze of the application that leaves the user with the only option to kill QGIS (see the initial description) when using absurdly

long SQL strings (which can happen if you input a geometry, as with the above-mentioned example).

Paolo, Martin, Alex, I think the easiest temporary fix that might be worth doing for 2.2 is simply to disable the current inefficient highlighting when the

number of characters in the SQL string is greater than a tolerable number.

#11 - 2014-02-11 03:24 AM - Paolo Cavallini

+1 for this. thanks.

#12 - 2014-02-11 03:34 AM - Martin Dobias

I will have a look at Alex's patch...

#13 - 2014-02-11 04:31 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"61ff7432107da0a7ce991f68094b9f42dd1027a5".
Files

sql_query.txt 121 KB 2013-01-14 Mathieu Pellerin - nIRV
